%global modname smartcols

Name:           python-%{modname}
Version:        0.1.1
Release:        2%{?dist}
Summary:        Python bindings for util-linux libsmartcols-library

License:        GPLv3+
URL:            https://github.com/ignatenkobrain/python-smartcols
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libsmartcols-devel

%description
%{summary}.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  Cython

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython

%description -n python3-%{modname}
%{summary}.

Python 3 version.

%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch
BuildRequires:  python-sphinx

%description doc
%{summary}.

%prep
%autosetup

%build
%py2_build
%py3_build
%{__python} setup.py build_sphinx
rm -f doc/_build/html/.buildinfo

%install
%py2_install
%py3_install

%check
# Speedup examples
#sed -i -e "s|range(10)|range(2)|" examples/continuous.py
# FIXME: skip continuous test as it stuck without pty (bug in libsmartcols)
mv examples/continuous.py examples/continuous.py~
# We want to be sure that non-utf8 and utf-8 locales are working
for lang in C C.UTF-8; do
  export LC_ALL="$lang"

  export PYTHONPATH=%{buildroot}%{python2_sitearch}
  %{__python2} setup.py test
  for ex in examples/*.py; do
      %{__python2} "$ex"
  done
  export PYTHONPATH=%{buildroot}%{python3_sitearch}
  %{__python3} setup.py test
  for ex in examples/*.py; do
    %{__python3} "$ex"
  done
done
mv examples/continuous.py~ examples/continuous.py

%files -n python2-%{modname}
%license COPYING
%doc README.md
%{python2_sitearch}/%{modname}-*.egg-info/
%{python2_sitearch}/%{modname}.so

%files -n python3-%{modname}
%license COPYING
%doc README.md
%{python3_sitearch}/%{modname}-*.egg-info/
%{python3_sitearch}/%{modname}.*.so

%files doc
%doc examples doc/_build/html

%changelog
* Tue Aug 23 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1.1-2
- Skip continuous test as it stuck without PTY

* Tue Aug 23 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1.1-1
- Initial package
